Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Stages

Get Stage Reviews
GET /serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
Get a all reviews for the specified stage with ID stageId.

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
stageId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
status string Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"eed063f2-1d64-4f38-81df-2b9cde9fe844","stageId":"994e2df8-a0ff-4361-8a6a-3d1398b806c8","fillingId":"fe3fd7e9-cbda-424a-9133-8746e6fde282","reviewDateTime":"2026-07-31T07:50:35.2937267+00:00","creationDateTime":"2026-07-31T07:50:35.2937267+00:00","lastModifiedDateTime":"2026-08-02T07:50:35.2937267+00:00","userId":"53ce254a-60ab-4e6d-ae44-19a12d82b3ee","status":"Approved"},{"id":"20cfca18-b916-475b-9d61-cec95ace58cf","stageId":"0444a2a4-9dc8-41a8-a14c-9ee1a827cb91","fillingId":"ccb04deb-695a-40d4-8ff7-2df935386287","reviewDateTime":"2026-07-25T07:50:35.2937267+00:00","creationDateTime":"2026-07-31T07:50:35.2937267+00:00","lastModifiedDateTime":null,"userId":"35e98c62-ed69-409a-8655-f8417ee895ad","status":"Rejected"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   status string      
   userId string / guid      
  nextUrl string      
  previousUrl string